Bug 141623 - Please add pptpd to the distribution
Summary: Please add pptpd to the distribution
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Riek
QA Contact:
URL: http://sourceforge.net/projects/poptop/
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-02 15:58 UTC by Zenon Panoussis
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:12:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zenon Panoussis 2004-12-02 15:58:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
pptpd is needed to create simple Windows VPNs, so it should be in wide use and even wider need. However, it requires a patched kernel. Patching the already multi-patched RHEL kernels is a minor nightmare, so it would be really nice to have the extra ppp modules there by default.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Spend hours patching the kernel.
2. Read your mail. Find an RHSA there, telling you that a new kernel was just released.
3. Start over again.
  

Additional info:

Comment 1 Suzanne Hillman 2004-12-08 23:02:57 UTC
Internal RFE bug #142325 entered; will be considered for future releases.

Comment 2 Zenon Panoussis 2004-12-09 00:05:00 UTC
Thank you. 

The patches needed can be found at 
http://sourceforge.net/project/showfiles.php?group_id=44827&package_id=120221&release_id=281265
, mppe and related are the crucial ones. Most of the patch work has been done
and the pptpd project is already very rpm-oriented, so merging into RHEL ought
to be fairly easy. 


Comment 4 David Lawrence 2006-03-10 01:25:27 UTC
NEEDINFO_PM status has been obsoleted. Changing status to NEEDINFO and assigning
to riek@redhat.com

Comment 5 RHEL Product and Program Management 2007-10-19 19:12:20 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.